Skip to main content
POST
/
api
/
crews
/
run
/
custom
Run custom crew
curl --request POST \
  --url https://api.example.com/api/crews/run/custom \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "crew_config": {
    "agents": [
      {
        "role": "<string>",
        "goal": "<string>",
        "backstory": "<string>",
        "id": "<string>",
        "verbose": false,
        "allow_delegation": false,
        "tools": [
          "<string>"
        ],
        "tool_categories": [
          "<string>"
        ],
        "use_default_mcps": true
      }
    ],
    "tasks": [
      {
        "description": "<string>",
        "agent_index": 0,
        "expected_output": "",
        "tools": [
          "<string>"
        ]
      }
    ],
    "id": "<string>",
    "verbose": false,
    "process": "sequential"
  },
  "task_input": {}
}
'
{
  "correlation_id": "<string>",
  "status": "pending",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-correlation-id
string | null

Body

application/json

Advanced mode: run a custom crew from a full CrewConfig.

crew_config
CrewConfig · object
required

Configuration model for a CrewAI crew with agents and tasks.

task_input
Task Input · object

Response

Successful Response

Response returned after a crew run starts.

correlation_id
string
required
status
enum<string>
default:pending
Available options:
pending,
running,
completed,
failed
message
string | null